#!/bin/bash
#
# use this script to run several rappture examples:
#
#	./demo.bash
#		
#        ./demo.bash all
#
# when you exit from one example, the next one will start and display on your
# screen.
#

ZOO="\
 ./zoo/log \
 ./zoo/note \
 ./zoo/cloud \
 ./zoo/cloud \
 ./zoo/curve \
 ./zoo/field \
 ./zoo/group \
 ./zoo/image \
 ./zoo/phase \
 ./zoo/table \
 ./zoo/structure \
 ./zoo/loadrun \
 ./zoo/unirect2d \
 ./zoo/binary \
 ./zoo/choice \
 ./zoo/enable \
 ./zoo/loader \
 ./zoo/number \
 ./zoo/string \
 ./zoo/number2 \
 ./zoo/sequence \
 ./zoo/boolean \
 ./zoo/integer \
 ./zoo/integer2 \
"

FLOW=" \
 ./flow/demo1 \
 ./flow/demo2 \
 ./flow/demo3 \
 ./flow"

FERMI=" \
  ./app-fermi/cee \
  ./app-fermi/tcl \
  ./app-fermi/perl \
  ./app-fermi/ruby \
  ./app-fermi/fortran \
  ./app-fermi/matlab \
  ./app-fermi/matlab \
  ./app-fermi/octave/2 \
  ./app-fermi/octave/3 \
  ./app-fermi/python \
  ./app-fermi/wrapper/cee \
  ./app-fermi/wrapper/tcl \
  ./app-fermi/wrapper/python \
"

MISC=" \
  ./lang/tcl/putfile \
  ./lang/tcl/loadercopy \
  ./graph \
  ./c-example \
  ./canvas \
  ./objects/xmlparser \
"

ALL="$FERMI $ZOO $FLOW $MISC"

STD="\
  app-fermi/tcl  \
  app-fermi/python  \
  app-fermi/fortran  \
  c-example  \
  graph  \
  zoo/structure  \
  zoo/image  \
  zoo/cloud \
"
dirs=$STD

if test "$1" = "all" ; then 
  dirs=$ALL
elif test "$1" = "fermi" ; then 
  dirs=$FERMI
elif test "$1" = "flow" ; then 
  dirs=$FLOW
elif test "$1" = "misc" ; then 
  dirs=$MISC
elif test "$1" = "zoo" ; then 
  dirs=$ZOO
fi

for d in $dirs ; do
    echo $d
    (cd $d ; rappture)
done

(cd 3D; rerun 3d_test_run.xml)
